import { IBinaryTreeNode } from "../Interfaces/IBinaryTreeNode";
declare class RedBlackTreeNode<T> implements IBinaryTreeNode<T> {
    static sentinel: RedBlackTreeNode<any>;
    color: boolean;
    left: RedBlackTreeNode<T>;
    right: RedBlackTreeNode<T>;
    value: T;
    parent: RedBlackTreeNode<T>;
    constructor(value: T, parent: RedBlackTreeNode<T>, color: boolean);
    hasLeftChild(): boolean;
    isBlack(): boolean;
    hasRightChild(): boolean;
    isLeftChild(): boolean;
    isRed(): boolean;
    isRightChild(): boolean;
    isSentinel(): boolean;
    isNotSentinel(): boolean;
    isRoot(): boolean;
    setRed(): void;
    setBlack(): void;
    min(): RedBlackTreeNode<T>;
    max(): RedBlackTreeNode<T>;
}
export default RedBlackTreeNode;
