(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./BinaryTree", "./BinaryTreeNode", "./RedBlackTree", "./RedBlackTreeNode"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const BTImplementatio = require("./BinaryTree");
    const BinaryTreeNode_1 = require("./BinaryTreeNode");
    const RedBlackTree_1 = require("./RedBlackTree");
    const RedBlackTreeNode_1 = require("./RedBlackTreeNode");
    const BinaryTree = {
        BinaryTree: BTImplementatio.BinaryTree,
        BinaryTreeNode: BinaryTreeNode_1.BinaryTreeNode,
        RedBlackTree: RedBlackTree_1.default,
        RedBlackTreeNode: RedBlackTreeNode_1.default
    };
    exports.default = BinaryTree;
});
//# sourceMappingURL=index.js.map