(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    function gnomeSort(array, comparator = (a, b) => a > b) {
        if (!Array.isArray(array) || array.length < 2) {
            return array;
        }
        let position = 0;
        let length = array.length;
        let temp = null;
        while (position < length) {
            if (position === 0 || !comparator(array[position - 1], array[position])) {
                position++;
            }
            else {
                temp = array[position - 1];
                array[position - 1] = array[position];
                array[position] = temp;
                position--;
            }
        }
        return array;
    }
    exports.default = gnomeSort;
});
//# sourceMappingURL=gnomeSort.js.map