(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./diophantineEquation", "./diophantineEquationSolver", "./extendedEuclidesAlgorithm", "./greatestCommonDivisor", "./leastCommonMultiple"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const diophantineEquation_1 = require("./diophantineEquation");
    const diophantineEquationSolver_1 = require("./diophantineEquationSolver");
    const extendedEuclidesAlgorithm_1 = require("./extendedEuclidesAlgorithm");
    const greatestCommonDivisor_1 = require("./greatestCommonDivisor");
    const leastCommonMultiple_1 = require("./leastCommonMultiple");
    const functions = {
        diophantineEquation: diophantineEquation_1.diophantineEquation,
        diophantineEquationSolver: diophantineEquationSolver_1.diophantineEquationSolver,
        extendedEuclidesAlgorithm: extendedEuclidesAlgorithm_1.extendedEuclidesAlgorithm,
        greatestCommonDivisor: greatestCommonDivisor_1.greatestCommonDivisor,
        leastCommonMultiple: leastCommonMultiple_1.leastCommonMultiple
    };
    exports.default = functions;
});
//# sourceMappingURL=index.js.map